JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const blast = await client.blasts.create('acct_01j9a43avnfqzbjfch6pygv1td');
console.log(blast.id);import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
blast = client.blasts.create(
account_id="acct_01j9a43avnfqzbjfch6pygv1td",
)
print(blast.id)require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
blast = surge.blasts.create("acct_01j9a43avnfqzbjfch6pygv1td")
puts(blast)curl --request POST \
--url https://api.surge.app/accounts/{account_id}/blasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachments": [
{
"url": "https://example.com/image.jpg"
}
],
"body": "Join us for our grand opening!",
"from": "+18015552345",
"name": "Grand Opening Announcement",
"send_at": "2024-02-01T15:00:00Z",
"to": [
"aud_01j9dy8mdzfn3r0e8x1tbdrdrf",
"ctc_01j9dy8mdzfn3r0e8x1tbdrdrf",
"+18015551234",
"+18015555678"
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.surge.app/accounts/{account_id}/blasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachments' => [
[
'url' => 'https://example.com/image.jpg'
]
],
'body' => 'Join us for our grand opening!',
'from' => '+18015552345',
'name' => 'Grand Opening Announcement',
'send_at' => '2024-02-01T15:00:00Z',
'to' => [
'aud_01j9dy8mdzfn3r0e8x1tbdrdrf',
'ctc_01j9dy8mdzfn3r0e8x1tbdrdrf',
'+18015551234',
'+18015555678'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.surge.app/accounts/{account_id}/blasts"
payload := strings.NewReader("{\n \"attachments\": [\n {\n \"url\": \"https://example.com/image.jpg\"\n }\n ],\n \"body\": \"Join us for our grand opening!\",\n \"from\": \"+18015552345\",\n \"name\": \"Grand Opening Announcement\",\n \"send_at\": \"2024-02-01T15:00:00Z\",\n \"to\": [\n \"aud_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"ctc_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"+18015551234\",\n \"+18015555678\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.surge.app/accounts/{account_id}/blasts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachments\": [\n {\n \"url\": \"https://example.com/image.jpg\"\n }\n ],\n \"body\": \"Join us for our grand opening!\",\n \"from\": \"+18015552345\",\n \"name\": \"Grand Opening Announcement\",\n \"send_at\": \"2024-02-01T15:00:00Z\",\n \"to\": [\n \"aud_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"ctc_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"+18015551234\",\n \"+18015555678\"\n ]\n}")
.asString();{
"attachments": [
{
"url": "https://example.com/image.jpg"
}
],
"body": "Join us for our grand opening!",
"id": "bst_01j9dy8mdzfn3r0e8x1tbdrdrf",
"name": "Grand Opening Announcement",
"send_at": "2024-02-01T15:00:00Z"
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Blasts
Create blast
Send a message to a list of recipients or an audience in a single API call.
POST
/
accounts
/
{account_id}
/
blasts
JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const blast = await client.blasts.create('acct_01j9a43avnfqzbjfch6pygv1td');
console.log(blast.id);import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
blast = client.blasts.create(
account_id="acct_01j9a43avnfqzbjfch6pygv1td",
)
print(blast.id)require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
blast = surge.blasts.create("acct_01j9a43avnfqzbjfch6pygv1td")
puts(blast)curl --request POST \
--url https://api.surge.app/accounts/{account_id}/blasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachments": [
{
"url": "https://example.com/image.jpg"
}
],
"body": "Join us for our grand opening!",
"from": "+18015552345",
"name": "Grand Opening Announcement",
"send_at": "2024-02-01T15:00:00Z",
"to": [
"aud_01j9dy8mdzfn3r0e8x1tbdrdrf",
"ctc_01j9dy8mdzfn3r0e8x1tbdrdrf",
"+18015551234",
"+18015555678"
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.surge.app/accounts/{account_id}/blasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachments' => [
[
'url' => 'https://example.com/image.jpg'
]
],
'body' => 'Join us for our grand opening!',
'from' => '+18015552345',
'name' => 'Grand Opening Announcement',
'send_at' => '2024-02-01T15:00:00Z',
'to' => [
'aud_01j9dy8mdzfn3r0e8x1tbdrdrf',
'ctc_01j9dy8mdzfn3r0e8x1tbdrdrf',
'+18015551234',
'+18015555678'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.surge.app/accounts/{account_id}/blasts"
payload := strings.NewReader("{\n \"attachments\": [\n {\n \"url\": \"https://example.com/image.jpg\"\n }\n ],\n \"body\": \"Join us for our grand opening!\",\n \"from\": \"+18015552345\",\n \"name\": \"Grand Opening Announcement\",\n \"send_at\": \"2024-02-01T15:00:00Z\",\n \"to\": [\n \"aud_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"ctc_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"+18015551234\",\n \"+18015555678\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.surge.app/accounts/{account_id}/blasts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachments\": [\n {\n \"url\": \"https://example.com/image.jpg\"\n }\n ],\n \"body\": \"Join us for our grand opening!\",\n \"from\": \"+18015552345\",\n \"name\": \"Grand Opening Announcement\",\n \"send_at\": \"2024-02-01T15:00:00Z\",\n \"to\": [\n \"aud_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"ctc_01j9dy8mdzfn3r0e8x1tbdrdrf\",\n \"+18015551234\",\n \"+18015555678\"\n ]\n}")
.asString();{
"attachments": [
{
"url": "https://example.com/image.jpg"
}
],
"body": "Join us for our grand opening!",
"id": "bst_01j9dy8mdzfn3r0e8x1tbdrdrf",
"name": "Grand Opening Announcement",
"send_at": "2024-02-01T15:00:00Z"
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Authorizations
Path Parameters
Body
application/json
Parameters for creating a Blast